\ CHILDWIN.FTH - child window testing

((
Copyright (c) 2002
MicroProcessor Engineering
133 Hill Lane
Southampton SO15 5AF
England

tel: +44 (0)23 8063 1441
net: mpe@mpeforth.com
     tech-support@mpeforth.com
web: www.mpeforth.com

From North America, our telephone and fax numbers are:
  011 44 23 8063 1441


This file provides a simple example of how to use the VFX Forth
resource scripting for a child window.


To do
=====

Change history
==============
))


NextID:	IDW_Child

IDW_Child WINDOW    100, 100, 200, 200
BEGIN
        Caption     "Child of VFX"
        Style       WS_VISIBLE | WS_CAPTION | WS_THICKFRAME | CCS_NORESIZE
        ClassStyle  CS_HREDRAW | CS_VREDRAW
        Icon        IDI_APPLICATION
        Cursor      IDC_ARROW
        Brush       WHITE_BRUSH
        Menu        NULL
        WndProc     ChildWindowProc
END

NULL value hChild

-short-branches
: ChildWindowProc	{ hwnd mesg wparam lparam -- ior }
  case mesg
    WM_CREATE of
      1
    endof

    WM_DESTROY of
      0 -> hChild
      1						\ so that default is performed
    endof

    WM_SIZE of
      hChild 100 100 200 200 1 MoveWindow drop 0
    endof

    WM_MOVE of
      hChild 100 100 200 200 1 MoveWindow drop 0
    endof

    WM_SETFOCUS of
      NULL z" focus" z" Child" MB_OK MessageBox drop  0
    endof

    WM_LBUTTONDOWN of
      NULL z" Left button" z" Child" MB_OK MessageBox drop  0
    endof

      drop  hwnd mesg wparam lparam DefWindowProc
  end-case
;
+short-branches

: RunChild	\ --
  hChild 0= if
    IDW_Child console@ RESOURCE::CreateChildWindow -> hChild
  endif
;

: CloseChild	\ --
  hChild if
    hChild SendClose
  endif
;

: FocusChild	\ --
  hChild WM_SETFOCUS NULL NULL SendMessage drop
;
