(*
 * LANGUAGE    : ANS Forth with DFW extensions
 * PROJECT     : Forth Environments
 * DESCRIPTION : WAV: file support
 * CATEGORY    : Sound Utilities
 * AUTHOR      : Marcel Hendrix, Hanno Schwalm
 * LAST-CHANGE : 2012-09-03 17:24:51 wav support split from main fjack module
 *)

[DEFINED] -fjack 0=		[IF] INCLUDE fjack.frt [THEN]
[DEFINED] -fjack/wavsupport 0=

[IF]	ALSO JACKAUDIO ALSO FORTH DEFINITIONS

	IS-IFORTH?
	[IF]	REVISION -fjack/wavsupport "--- Wav File Support    Version 0.10 ---"
		:ABOUT	??CR ." fjack wav files reading/writing/playing" ;
	[ELSE]	ANEW -fjack/wavsupport

	[THEN]

	INCLUDE fjack/wavbase.frt
	INCLUDE fjack/wavfiles.frt
	PREVIOUS PREVIOUS DEFINITIONS
[THEN]
