\ test-cd-fpsse64.fth

debug1 on

reals

CallDef: void on_dmain_vpan(
  void * self, void * direction, double foffset, void * user_data
):
  \ Vertical pan gesture event
\ {: pgesture pdirection puser -- :}
  {: pgesture pdirection f: foffset puser -- :}
\ cr ." vpan"
\ cr ." Direction " pdirection . ."  foffset " fdup f. ."  user " puser .
((
  ADJVMAIN gtk_adjustment_get_value            \ Get existing scroll value
  FSWAP
  pdirection GTK_PAN_DIRECTION_UP = IF            \ Pan up
    F+                            \ Add to scroll value
  ELSE                            \ Pan down
    F-                            \ Subtract from scroll value
  THEN
  ADJVMAIN gtk_adjustment_set_value             \ Set new scroll value
))
;

((
on_dmain_vpan dis-cd
on_dmain_vpan dis-cdEntry
on_dmain_vpan dis-cdAction
on_dmain_vpan dis-cdexit
))


\ ***************
\ FP locals tests
\ ***************

: t1	{: ia1 f: fa2  ia3  f: fa4  ia5  | f: fl1  il2  f: fl3 -- :}
  cr ." args: " ia1 .  fa2 f.  ia3 .  fa4 f.  ia5 .
  fa2 -> fl1  fa4 -> fl3
  cr ." locs: f1l=fa2 " fl1 f.  ."  fl3=fa4 " fl3 f.
;

1  2e0  3  4e0  5 t1


\ ************
\ DefCallProc:
\ ************

: DefCallProc:  CallDef: does> get-CallDefEntry  ;
	
DefCallProc: void on_dmain_vpan2(
  void * self, void * direction, double foffset, void * user_data
):
  {: pgesture pdirection f: foffset puser -- :}
\ cr ." vpan"
\ cr ." Direction " pdirection . ."  foffset " fdup f. ."  user " puser .
;
