(*
 * LANGUAGE    : ANS Forth
 * PROJECT     : Forth Environments
 * DESCRIPTION : FFTW3 library binding
 * CATEGORY    : Utility
 * AUTHOR      : Hanno Schwalm; 2009-12-07 18:31:08
 * change	added wisdom support
		2010-05-13 20:40:35; due to bugs wisdom import only works now!
		2017-05-03 21:28:12; fftw uses sfloats now 
*)

JACKAUDIO DEFINITIONS

Extern: fftwf_plan "C" fftwf_plan_dft_r2c_1d ( int n, float *in, fftwf_complex *out, int flags );
Extern: fftwf_plan "C" fftwf_plan_dft_c2r_1d ( int n, fftwf_complex *in, float *out, int flags );
Extern: void "C" fftwf_destroy_plan ( fftwf_plan plan );
Extern: void "C" fftwf_execute ( fftwf_plan plan );
: FFTW3-LIB?	['] fftwf_plan_dft_r2c_1d FUNC-LOADED? 0<> ;

#00 CONSTANT #FFTW_MEASURE
#32 CONSTANT #FFTW_PATIENT
#64 CONSTANT #FFTW_ESTIMATE
#FFTW_ESTIMATE CONSTANT #FFTW_PLAN_SPEED
\ #FFTW_PATIENT CONSTANT #FFTW_PLAN_SPEED
\ #FFTW_MEASURE CONSTANT #FFTW_PLAN_SPEED
