(*
 * LANGUAGE    : ANS Forth with DFW extensions
 * PROJECT     : Forth Environments
 * DESCRIPTION : IO processing support
 * CATEGORY    : Sound Utilities
 * AUTHOR      : Marcel Hendrix, Hanno Schwalm
 * LAST-CHANGE : 2012-09-03 17:24:51
 *)

[DEFINED] -fjack 0=		[IF] INCLUDE fjack.frt [THEN]
[DEFINED] -fjack/iosupport 0=

[IF]	ALSO JACKAUDIO ALSO FORTH DEFINITIONS
	IS-IFORTH?
	[IF]	REVISION -fjack/iosupport "--- Audio processing    Version 0.10 ---"
		:ABOUT	??CR ." fjack io processing" ;
	[ELSE]	ANEW -fjack/iosupport
	[THEN]
	INCLUDE fjack/fftw3.frt
 	INCLUDE fjack/io_procs.frt
    	INCLUDE fjack/fir2.frt
     	INCLUDE fjack/adaptive.frt
    	INCLUDE fjack/iir.frt
  	INCLUDE fjack/fft.frt
  	INCLUDE fjack/mixer.frt
  	INCLUDE fjack/effects.frt
	PREVIOUS PREVIOUS DEFINITIONS
[THEN]
