\ ========
\ #> GENIO
\ ========
\ #N Output2String: Redirect output to string
\ #P This Generic IO Device uses blocks of memory to store output.
\ ## The intended usecase is to redirect the output of a section of code.
\ TODO: include Lib/Genio/buffer.fth by default?
\ TODO: move code to Lib/Genio/Buffer.fth
\ TODO: where to put type-free?

: type-free ( addr len -- )
\ *G displays string \*i{addr} \*i{len},
\ ** frees buffer at \*i{addr} afterwards, throws on error.
\ ** This word is intended for debugging only.
    over swap type
    free throw
;

: catch>gio ( xt genio -- addr len ior )
\ *G execute \*i{xt} and redirct all output to genio-buffer
\ ** contents of buffer are returned as \*i{addr} \*i{len}.
\ *E : IamX ." I am X" ;
\ ** ' IamX $20 catch>string throw type-free
    >r
    r@ [io setio
        catch
    io]
    -4 r> getpos-gio throw
    rot \ get ior on top
;

: catch>string ( xt maxlen -- addr len ior )
\ *G execute \*i{xt} and redirct all output to a new buffer
\ ** of \*i{maxlen} witch is returned as \*i{addr} \*i{len}.
\ *E : IamX ." I am X" ;
\ ** ' IamX $20 catch>string throw type-free
    SizedTextBuff >r r@ catch>gio
    r> free throw
;

