: isVoc? ( c-addr n -- wid -1 | 0 )
\ *G check if string is the name of a vocabulary.
\ ** Returns wid and -1 if name matches.
\ ** Returns 0 otherwise.
    2dup upper
    { c-addr n }
    voc-link @
    begin
        dup >vocname count c-addr n str= if -1 exit then
        >voc-link @ dup 0=
    until drop 0
;

: isVocDot? ( c-addr n -- xt -1 | 0 )
\ *G check if string is of the form "<voc>.<word>".
\ ** Returns \*fo{xt} and -1 if \*fo{word} is found in \*fo{voc} matches.
\ ** Returns 0 otherwise.
    [char] . csplit third 0= if 2drop nip exit then \ quick abort if no dot is found
    isVoc? if
        >r 1 /string r> SEARCH-WORDLIST
    else
        2drop 0
    then
;

' execute ' compile, ' postnorm RecType: r:vocdot \ -- type
\ *G Contains the three actions for vocdots, same as r:find.

: rec-vocdot	\ addr u -- xt r:vocdot | r:fail
\ *G The parsing portion that checks for a vodot.
  isVocDot? IF r:vocdot ELSE r:fail THEN
; doNotSin

: vocdots \ -- ; 
\ *G turn vocdot system on
    ['] rec-vocdot forth-recognizer +stack-bot
;
vocdots
